<?php
/*
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: likang
 * @Date: 2022-06-10 16:59:25
 * @LastEditors: likang
 * @LastEditTime: 2022-06-13 15:35:12
 */
namespace catchAdmin\hydraulic\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\hydraulic\model\WrenchCheckRecord as wrenchCheckRecordModel;
use catchAdmin\hydraulic\model\WrenchCheckRecordData;

class WrenchCheckRecord extends CatchController
{
    protected $wrenchCheckRecordModel;
    
    public function __construct(WrenchCheckRecordModel $wrenchCheckRecordModel)
    {
        $this->wrenchCheckRecordModel = $wrenchCheckRecordModel;
    }
    
    /**
     * 列表
     * @time 2022年06月10日 16:59
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->wrenchCheckRecordModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年06月10日 16:59
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckRecordModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年06月10日 16:59
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckRecordModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年06月10日 16:59
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckRecordModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年06月10日 16:59
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->wrenchCheckRecordModel->deleteBy($id));
    }
    /**
     * @Descripttion: 获取校验的数据
     * @name: likang
     * @param {Request} $request
     * @return {*}
     */    
    public function decordDataList(Request $request)
    {  
       $data = $request->get();
        $check_id = $data['id'];
        $list =   WrenchCheckRecordData::where('wrench_check_id',$check_id)->order('stress','asc')->select();
        return CatchResponse::success($list);
    }
}