<?php

namespace catchAdmin\report\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\report\model\Report as ReportModel;

class Report extends CatchController
{

    protected $reportModel;
    
    public function __construct(ReportModel $reportModel)
    {
        $this->reportModel = $reportModel;
    }
    
    /**
     * 首页数量数据
     * @param Request $request 
     */
    public function homePageCountData(Request $request)
    {

        // 部门数据
        $department_data = $this->reportModel->getDepartmentCountData() ?: [];
        // 用户数据
        $user_data = $this->reportModel->getDeviceUserCountData() ?: [];

        $data = array_merge($department_data, $user_data);
        return CatchResponse::success($data);
    }

    /**
     * 基站增长趋势数据
     * @param Request $request 
     */
    public function stationGrowthTrendData(Request $request)
    {
        $data = $this->reportModel->getStationGrowthTrendData() ?: [];
        
        return CatchResponse::success($data);
    }

    /**
     * 用户设备增长趋势数据
     * @param Request $request 
     */
    public function deviceGrowthTrendData(Request $request)
    {
        $data = $this->reportModel->getDeviceGrowthTrendData() ?: [];
        
        return CatchResponse::success($data);
    }

    /**
     * 设备类型统计
     * @param Request $request 
     */
    public function hydraulicCount(Request $request)
    {
        $list =array(
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>5,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>3,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>2,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>4,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>1,'remarks'=>''],
          
        );

        $list20 =array(
            ['type'=>'液压泵','name'=>'测试设备2','number'=>20210618,'online_time'=>'2022-06-03 11:10:11','address'=>'杭州滨江','unused_days'=>20,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备2','number'=>20210618,'online_time'=>'2022-06-03 11:10:11','address'=>'杭州滨江','unused_days'=>22,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备2','number'=>20210618,'online_time'=>'2022-06-03 11:10:11','address'=>'杭州滨江','unused_days'=>22,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备2','number'=>20210618,'online_time'=>'2022-06-03 11:10:11','address'=>'杭州滨江','unused_days'=>22,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备2','number'=>20210618,'online_time'=>'2022-06-03 11:10:11','address'=>'杭州滨江','unused_days'=>22,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备2','number'=>20210618,'online_time'=>'2022-06-03 11:10:11','address'=>'杭州滨江','unused_days'=>22,'remarks'=>''],
        );

        $list40 =array(
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备3','number'=>20210618,'online_time'=>'2022-06-13 11:10:11','address'=>'杭州滨江','unused_days'=>41,'remarks'=>''],
        );

        $pie_data=array(
            ['name'=>'正常使用','value'=>5],
            ['name'=>'20+天未使用','value'=>6],
            ['name'=>'40+天未使用','value'=>8],
        );
       

        $data=array(
            'list'=>$list,
            'list20'=>$list20,
            'list40'=>$list40,
            'pie_data'=>$pie_data,
        );
        return CatchResponse::success($data);
    }

    /**
     * 风场设备统计
     * @param Request $request 
     */
    public function windCount(Request $request)
    {
        $list =array(
            ['name'=>'风场1','total'=>103,'online'=>20,'offline'=>40],
            ['name'=>'风场2','total'=>103,'online'=>20,'offline'=>40],
            ['name'=>'风场3','total'=>42,'online'=>20,'offline'=>40],
            ['name'=>'风场4','total'=>10,'online'=>20,'offline'=>40],
            ['name'=>'风场5','total'=>103,'online'=>20,'offline'=>40],
            ['name'=>'风场6','total'=>103,'online'=>20,'offline'=>40],
            ['name'=>'风场7','total'=>123,'online'=>20,'offline'=>40],
            ['name'=>'风场8','total'=>103,'online'=>20,'offline'=>40],
            ['name'=>'风场9','total'=>103,'online'=>20,'offline'=>40],
          
        );
        $xdata=['风场1','风场2','风场3','风场4','风场5','风场6','风场7','风场8','风场9',];
        $ydata=[20,30,49,20,56,54,87,23,69];

        $data=array(
            'list'=>$list,
            'xdata'=>$xdata,
            'ydata'=>$ydata,
        );
        return CatchResponse::success($data);
    }
    
    /**
     * 告警统计
     * @param Request $request 
     */
    public function alarmDeviceCount(Request $request)
    {
        $list =array(
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>5,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>3,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>2,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>4,'remarks'=>''],
            ['type'=>'液压泵','name'=>'测试设备1','number'=>20210618,'online_time'=>'2022-06-23 11:10:11','address'=>'杭州滨江','unused_days'=>1,'remarks'=>''],
          
        );

        $pie_dataA=array(
            ['name'=>'有效期内','value'=>15],
            ['name'=>'已失效(小于15天)','value'=>4],
        );
        
        $pie_dataB=array(
            ['name'=>'有效使用(大于45天)','value'=>13],
            ['name'=>'警告失效(15~45天)','value'=>2],
            ['name'=>'失效(0~15天)','value'=>4],
        );
        $pie_dataC=array(
            ['name'=>'已维护','value'=>15],
            ['name'=>'未维护','value'=>4],
        );

        $data=array(
            'list'=>$list,
            'pie_dataA'=>$pie_dataA,
            'pie_dataB'=>$pie_dataB,
            'pie_dataC'=>$pie_dataC,
        );
        return CatchResponse::success($data);
    }
     /**
     * 告警统计
     * @param Request $request 
     */
    public function companyCount(Request $request)
    {
        $list =array(
            ['type'=>'测试部门1','name'=>'液压泵','value'=>100],
            ['type'=>'测试部门1','name'=>'液压扳手','value'=>120],
            ['type'=>'测试部门1','name'=>'风机','value'=>30],
            ['type'=>'测试部门1','name'=>'总数','value'=>250],

            ['type'=>'测试部门2','name'=>'液压泵','value'=>100],
            ['type'=>'测试部门2','name'=>'液压扳手','value'=>120],
            ['type'=>'测试部门2','name'=>'风机','value'=>30],
            ['type'=>'测试部门2','name'=>'总数','value'=>250],

            ['type'=>'测试部门3','name'=>'液压泵','value'=>100],
            ['type'=>'测试部门3','name'=>'液压扳手','value'=>120],
            ['type'=>'测试部门3','name'=>'风机','value'=>30],
            ['type'=>'测试部门3','name'=>'总数','value'=>250],
        );
        $bar_data=array(
            'xData'=>['测试部门1','测试部门2','测试部门3'],
            'pump_yData'=>[120,120,130],
            'wrench_yData'=>[40,150,90],
            'flange_yData'=>[100,80,30],
        );
        $pump_pie=array(
            ['name'=>'电量告警','value'=>100],
            ['name'=>'液压油偏低','value'=>120],
            ['name'=>'液压油偏高','value'=>30],
        );
        
    

        $data=array(
            'list'=>$list,
            'bar_data'=>$bar_data,
            'pump_pie'=>$pump_pie,
        );
        return CatchResponse::success($data);
    }
     /**
     * 维保设备记录统计
     * @param Request $request 
     */
    public function maintainCount(Request $request)
    {
        $list =array(
            ['type'=>'法兰','name'=>'总数','value'=>250],
            ['type'=>'法兰','name'=>'及格','value'=>200],
            ['type'=>'法兰','name'=>'不及格','value'=>50],
        );
        $pump_bar=array(
            'xData'=>['总数','紧固及格','紧固不及格'],
            'yData'=>[250,200,50],
        );
        $pump_pie=[
            ['name'=>'紧固及格','value'=>200],
            ['name'=>'紧固不及格','value'=>50]
        ];

        $list_type = array(
            'xData'=>['c1','c2','c3','c4'],
            'yData'=>[250,200,50,40],

        );
    

        $data=array(
            'list'=>$list,
            'pump_bar'=>$pump_bar,
            'pump_pie'=>$pump_pie,
        );
        return CatchResponse::success($data);
    }

    
    
}